//------------------------------------------------------------------------------
// TOPPERS/ASP Sample1 Debuging Environment
// Copyright (C) 2010-2011 Cores Co., Ltd. Japan
//------------------------------------------------------------------------------
// $Id: TestCommand.cs 88 2011-04-05 11:03:57Z nagasima $
using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using NU.OJL.MPRTOS.TLV.Base;
using SimBase;

namespace Sample1Sim.Commands
{
	public class TestCommand : ICommand
	{
		private string _Text;

		public string Text
		{
			get { return _Text; }
			set { _Text = value; }
		}

		public bool CanUndo { get { return false; } set { } }

		public TestCommand(object sender, CommandButtonInfo commandButtonInfo,
			CommandManager param)
		{
			Text = "テスト";
		}

		public void Do()
		{
			MessageBox.Show("テスト");
		}

		public void Undo()
		{

		}
	}
}
